## plasma-desktop 5.5.5

=== CMakeLists.txt ===
project(plasma-desktop)
set(PROJECT_VERSION "5.5.5")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.5.0")

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)
include(CheckIncludeFiles)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
    QuickWidgets
    DBus
    Widgets
    X11Extras
    Svg
    Concurrent
)

set(KF5_MIN_VERSION "5.12.0")
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Auth
    Plasma
    PlasmaQuick
    DocTools
    I18n
    KCMUtils
    NewStuff
    KDELibs4Support
    Notifications
    NotifyConfig
    Attica
    Wallet
    Runner
    GlobalAccel
    Declarative
    People
    DBusAddons
)

find_package(LibKWorkspace CONFIG REQUIRED)
find_package(LibTaskManager CONFIG REQUIRED)
find_package(KWinDBusInterface CONFIG REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)
find_package(KRunnerAppDBusInterface CONFIG REQUIRED)
find_package(KSMServerDBusInterface CONFIG REQUIRED)
find_package(KF5ItemModels CONFIG REQUIRED)
find_package(KF5Emoticons CONFIG REQUIRED)
find_package(PackageKitQt5 0.9)
set_package_properties(PackageKitQt5 PROPERTIES DESCRIPTION "Software Manager integration"
                       TYPE OPTIONAL
                       PURPOSE "Provides package management integration to the application launcher."
                      )

find_package(KF5Activities ${KF5_VERSION})
set_package_properties(KF5Activities PROPERTIES DESCRIPTION "management of Plasma activities"
                       TYPE OPTIONAL
                       PURPOSE "Needed by activity related plasmoids and the pager."
                      )

# Baloo is currently part of the KF5 namespace, but it is not
# a proper framework. Hence the strange versioning.
# This will be fixed with Plasma 5.2, as Baloo should have
# become a framework by then
find_package(KF5Baloo "5.1.90")
set_package_properties(KF5Baloo PROPERTIES DESCRIPTION "File Searching"
                       TYPE REQUIRED
                       PURPOSE "Needed to build to File Search KCM"
                      )

find_package(Fontconfig)
set_package_properties(Fontconfig PROPERTIES DESCRIPTION "Font access configuration library"
                       URL "http://www.freedesktop.org/wiki/Software/fontconfig"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build font configuration and installation tools"
                      )

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "http://www.x.org"
                        TYPE REQUIRED
                        PURPOSE "Required for building the X11 based workspace"
                      )

find_package(UDev)
set_package_properties(UDev PROPERTIES DESCRIPTION "UDev library"
                        URL "http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html"
                        TYPE OPTIONAL
                        PURPOSE "Required for device discovery in keyboard daemon"
                      )

find_package(XCB
    REQUIRED COMPONENTS
        XCB SHM IMAGE
    OPTIONAL_COMPONENTS
        XKB XINPUT
)
set_package_properties(XCB PROPERTIES TYPE REQUIRED)
add_feature_info("XCB-XKB" XCB_XKB_FOUND "Required for building kcm/keyboard")
add_feature_info("libxft" X11_Xft_FOUND "X FreeType interface library required for font installation")

find_package(Evdev)
set_package_properties(Evdev PROPERTIES TYPE OPTIONAL)
add_feature_info("Evdev" EVDEV_FOUND "Evdev driver headers needed for input KCM")

find_package(Synaptics)
set_package_properties(Synaptics PROPERTIES TYPE OPTIONAL)
add_feature_info("Synaptics" SYNAPTICS_FOUND "Synaptics libraries needed for touchpad KCM")
include(ConfigureChecks.cmake)

if(${Qt5Gui_OPENGL_IMPLEMENTATION} STREQUAL "GL")
    find_package(OpenGL)
    set_package_properties(OpenGL PROPERTIES DESCRIPTION "The OpenGL libraries"
                        URL "http://www.opengl.org"
                        TYPE REQUIRED
                        )
else()
    find_package(OpenGLES)
    set_package_properties(OpenGLES PROPERTIES DESCRIPTION "The OpenGLES libraries"
                        URL "http://www.khronos.org/opengles"
                        TYPE REQUIRED
                        )
endif()

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)
configure_file(config-runtime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-runtime.h)

plasma_install_package(desktoppackage org.kde.plasma.desktop shells shell)

plasma_install_package(layout-templates/org.kde.plasma.desktop.defaultPanel org.kde.plasma.desktop.defaultPanel layout-templates layout-template)

add_subdirectory(doc)

# Temporary inclusion of kactivities-stats library to the repository
# until it matures enough to go to kactivities framework
add_subdirectory(lib/kactivities-stats)

# add_subdirectory(runners)
add_subdirectory(containments)
add_subdirectory(toolboxes)
add_subdirectory(applets)
add_subdirectory(kcms)
add_subdirectory(knetattach)
add_subdirectory(attica-kde)
add_subdirectory(imports/activitymanager/)
add_subdirectory(solid-device-automounter)
if(X11_Xkb_FOUND AND XCB_XKB_FOUND)
    add_subdirectory(kaccess)
endif()
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== applets/CMakeLists.txt ===
add_subdirectory(kicker)
add_subdirectory(kickoff)
add_subdirectory(trash)

# tasks and windowlist depend on libs/taskmanager
add_subdirectory(taskmanager)
add_subdirectory(icontasks)
plasma_install_package(window-list org.kde.plasma.windowlist)

if(KF5Activities_FOUND)
   add_subdirectory(pager)
   add_subdirectory(showActivityManager)
endif()

=== attica-kde/kdeplugin/CMakeLists.txt ===
################# KDE PLUGIN for LibAttica #################
add_definitions(-DTRANSLATION_DOMAIN=\"attica_kde\")

set(attica_kde_SRCS
    kdeplatformdependent.cpp
    attica_plugin_debug.cpp
)

add_library(attica_kde MODULE ${attica_kde_SRCS})
target_link_libraries(attica_kde KF5::KIOWidgets Qt5::Widgets KF5::KCMUtils KF5::Attica KF5::Wallet KF5::I18n )
install(TARGETS attica_kde DESTINATION ${PLUGIN_INSTALL_DIR})

=== imports/activitymanager/CMakeLists.txt ===
find_package (ECM 0.0.8 REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

find_package (Qt5 REQUIRED NO_MODULE COMPONENTS Widgets Qml X11Extras)
find_package (KF5I18n         ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5Config       ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5CoreAddons   ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5GlobalAccel  ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5GuiAddons    ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5KIO          ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5Activities   ${KF5_DEP_VERSION} CONFIG REQUIRED)

find_package (X11)
set_package_properties (
   X11 PROPERTIES DESCRIPTION "X11 libraries"
   URL "http://www.x.org"
   TYPE REQUIRED
   )

set (
   activityswitcher_imports_LIB_SRCS
   activityswitcherextensionplugin.cpp
   switcherbackend.cpp
   )

add_library (activityswitcherextensionplugin SHARED ${activityswitcher_imports_LIB_SRCS})

target_link_libraries (
   activityswitcherextensionplugin

   Qt5::Core
   Qt5::Qml
   Qt5::Widgets
   Qt5::X11Extras

   KF5::I18n
   KF5::Activities
   KF5::ConfigCore
   KF5::CoreAddons
   KF5::GlobalAccel
   KF5::GuiAddons
   KF5::KIOCore
   KF5::KIOWidgets
   ${X11_X11_LIB}
   )

## install

install (TARGETS activityswitcherextensionplugin
         DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/activityswitcher)
install (FILES qmldir
         DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/activityswitcher)

=== kcms/baloo/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_baloofile\")

set(kcm_file_SRCS
  kcm.cpp
  fileexcludefilters.cpp
  folderselectionwidget.cpp
)

ki18n_wrap_ui(kcm_file_SRCS
  configwidget.ui
)

add_library(kcm_baloofile MODULE ${kcm_file_SRCS})

target_link_libraries(kcm_baloofile
  KF5::KIOWidgets
  KF5::CoreAddons
  KF5::KCMUtils
  KF5::I18n
  KF5::Solid
  KF5::Baloo

  Qt5::DBus
  Qt5::Widgets
)


install(FILES kcm_baloofile.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS kcm_baloofile DESTINATION ${PLUGIN_INSTALL_DIR})

=== kcms/desktoptheme/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_desktopthemedetails\")


set(kcmdesktoptheme_SRCS kcmdesktoptheme.cpp desktopthemedetails.cpp thememodel.cpp kcm_desktoptheme_debug.cpp)
ki18n_wrap_ui(kcmdesktoptheme_SRCS DesktopTheme.ui DesktopThemeDetails.ui)

add_library(kcm_desktoptheme MODULE ${kcmdesktoptheme_SRCS})
target_link_libraries(kcm_desktoptheme ${X11_LIBRARIES}
    KF5::Archive
    KF5::KCMUtils
    KF5::I18n
    KF5::Parts
    KF5::Plasma
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::NewStuff
    KF5::KDELibs4Support
)

kcoreaddons_desktop_to_json(kcm_desktoptheme desktoptheme.desktop)

install(TARGETS kcm_desktoptheme DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES plasma-themes.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )

########### install files ###############
install( FILES desktoptheme.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== kcms/emoticons/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_emoticons\")

set(kcmemoticons_SRCS emoticonslist.cpp)
ki18n_wrap_ui(kcmemoticons_SRCS emoticonslist.ui)

add_library(kcm_emoticons MODULE ${kcmemoticons_SRCS})
target_link_libraries(kcm_emoticons
                      KF5::NewStuff
                      KF5::KDELibs4Support
                      KF5::Emoticons)

install(TARGETS kcm_emoticons  DESTINATION ${PLUGIN_INSTALL_DIR} )

########### install files ###############
install( FILES emoticons.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES emoticons.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )

=== kcms/icons/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmicons\")

add_subdirectory(tests)

########### next target ###############

set(kcm_icons_PART_SRCS iconthemes.cpp icons.cpp main.cpp )

add_library(kcm_icons MODULE ${kcm_icons_PART_SRCS})

target_link_libraries(kcm_icons
    Qt5::Widgets
    Qt5::Svg
    KF5::KCMUtils
    KF5::I18n
    KF5::IconThemes
    KF5::Archive
    KF5::NewStuff
    KF5::KIOWidgets
    KF5::KDELibs4Support
    ${X11_LIBRARIES}
)

if(X11_FOUND)
    target_link_libraries(kcm_icons Qt5::X11Extras)
endif()

install(TARGETS kcm_icons  DESTINATION ${PLUGIN_INSTALL_DIR} )

########### install files ###############

install( FILES icons.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES icons.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )

=== kcms/keyboard/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcmkeyboard\")

option(HAVE_XINPUT "X11/XCB XInput" OFF)
option(HAVE_UDEV "UDev" OFF)
option(NEW_GEOMETRY "Keyboard geometry preview" OFF)

if (X11_Xinput_FOUND AND XCB_XINPUT_FOUND)
    set(HAVE_XINPUT ON)
elseif (UDEV_FOUND)
    set(HAVE_UDEV ON)
else()
    message(STATUS "X11/XCB XInput and UDev is not found, either is required to keep layouts with keyboard hotplugging")
endif()


### kded daemon ###

set( kded_keyboard_SRCS
    keyboard_daemon.cpp
    layout_memory.cpp
    layout_memory_persister.cpp
    udev_helper.cpp
    x11_helper.cpp
    xinput_helper.cpp
    xkb_helper.cpp
    keyboard_config.cpp
    keyboard_hardware.cpp
    bindings.cpp
# next are temporary for sys tray UI
    layout_tray_icon.cpp
    layouts_menu.cpp
    flags.cpp
    xkb_rules.cpp
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_library(kded_keyboard MODULE ${kded_keyboard_SRCS})
set_target_properties(kded_keyboard PROPERTIES OUTPUT_NAME keyboard)
kcoreaddons_desktop_to_json(kded_keyboard keyboard.desktop)

target_link_libraries(kded_keyboard
    Qt5::Concurrent
    Qt5::Widgets
    Qt5::X11Extras
    Qt5::Xml
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::DBusAddons
    KF5::GlobalAccel
    KF5::I18n
    KF5::Notifications
    KF5::Service
    KF5::WindowSystem
    KF5::Plasma
    KF5::XmlGui
    KF5::GuiAddons
    KF5::IconThemes
    XCB::XCB
    XCB::XKB
    ${X11_LIBRARIES}
    ${X11_Xkbfile_LIB}
 )

if (HAVE_XINPUT)
    target_link_libraries(kded_keyboard ${X11_Xinput_LIB})
endif()

if (HAVE_UDEV)
    target_link_libraries(kded_keyboard ${UDEV_LIBS})
endif()

install( TARGETS kded_keyboard DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kded )

### kcm keyboard ###
include_directories("preview")

find_package(Boost)

if(Boost_FOUND)
  set(NEW_GEOMETRY ON)

  set(preview_SRCS
    preview/geometry_components.cpp
    preview/geometry_parser.cpp
    preview/kbpreviewframe.cpp
    preview/keyboardlayout.cpp
    preview/symbol_parser.cpp
    preview/keyaliases.cpp
    preview/keyboardlayout.cpp
    preview/keyboardpainter.cpp
    preview/keysymhelper.cpp
    preview/keysym2ucs.cpp
    )

   set_source_files_properties(preview/geometry_parser.cpp preview/symbol_parser.cpp PROPERTIES COMPILE_FLAGS "-fexceptions")
   if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
      # the default maximum template expansion depth (256) is not enough
      set_property(SOURCE preview/geometry_parser.cpp APPEND_STRING PROPERTY COMPILE_FLAGS " -ftemplate-depth=512")
   endif()
else(Boost_FOUND)

  message("Boost not found, install Boost libraries to enable keyboard geometry preview")

endif(Boost_FOUND)


set(kcm_keyboard_PART_SRCS
  kcm_keyboard.cpp
  kcm_keyboard_widget.cpp
  kcm_view_models.cpp
  kcm_add_layout_dialog.cpp
  keyboard_config.cpp
  x11_helper.cpp
  xkb_helper.cpp
  xkb_rules.cpp
  flags.cpp
  iso_codes.cpp
  kcmmisc.cpp
  bindings.cpp
  ${preview_SRCS} )

ki18n_wrap_ui(kcm_keyboard_PART_SRCS kcm_keyboard.ui kcm_add_layout_dialog.ui kcmmiscwidget.ui)

add_library(kcm_keyboard MODULE ${kcm_keyboard_PART_SRCS})

target_link_libraries(kcm_keyboard
    Qt5::Concurrent
    Qt5::Widgets
    Qt5::X11Extras
    Qt5::Xml
    KF5::KCMUtils
    KF5::GlobalAccel
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::WindowSystem
    KF5::Plasma
    KF5::XmlGui
    KF5::GuiAddons
    KF5::IconThemes
    XCB::XCB
    XCB::XKB
    ${X11_Xkbfile_LIB}
    ${X11_LIBRARIES}
    ${text_paint_LIB}
)

install(TARGETS kcm_keyboard DESTINATION ${PLUGIN_INSTALL_DIR} )

install( FILES kcm_keyboard.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

# Images

add_subdirectory( pics )

configure_file(config-keyboard.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-keyboard.h)

# Unit tests
if(BUILD_TESTING)
    find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
    add_subdirectory( tests )
endif()

=== kcms/kfontinst/CMakeLists.txt ===
if (KFI_BUILD_STANDALONE)
    cmake_minimum_required(VERSION 2.6.4)
    find_package(KDE4 "4.6.0" REQUIRED)
    find_package(Qt4 REQUIRED)
    find_package(Freetype REQUIRED)
    find_package(Fontconfig REQUIRED)
    find_package(Strigi REQUIRED)
    find_package(X11 REQUIRED)
    macro_log_feature(X11_Xft_FOUND "libxft" "X FreeType interface library" "http://www.x.org" FALSE "" "Font installer and font previews")
    include(KDE4Defaults)
endif ()

# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kfontinst\")

if (X11_Xft_FOUND)
    check_include_files(locale.h HAVE_LOCALE_H)
    configure_file(config-fontinst.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-fontinst.h)
    include_directories(
        ${FREETYPE_INCLUDE_DIRS}
        ${FONTCONFIG_INCLUDE_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}
        ${CMAKE_CURRENT_BINARY_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}/lib
        ${CMAKE_CURRENT_BINARY_DIR}/lib
        ${CMAKE_CURRENT_SOURCE_DIR}/dbus
        ${CMAKE_CURRENT_BINARY_DIR}/dbus
        ${CMAKE_CURRENT_SOURCE_DIR}/viewpart
        ${CMAKE_CURRENT_SOURCE_DIR}/kcmfontinst
        ${CMAKE_CURRENT_BINARY_DIR}/kcmfontinst)
    add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

    set(libkfontinstdbusiface_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/dbus/FontinstIface.cpp)
    set(libkfontinstview_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/viewpart/FontPreview.cpp
                              ${CMAKE_CURRENT_SOURCE_DIR}/viewpart/PreviewSelectAction.cpp
                              ${CMAKE_CURRENT_SOURCE_DIR}/viewpart/CharTip.cpp )
    set(libkfontinstactionlabel_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/kcmfontinst/ActionLabel.cpp)
    set(libkfontinstjobrunner_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/kcmfontinst/JobRunner.cpp
                                   ${libkfontinstactionlabel_SRCS}
                                   ${CMAKE_CURRENT_SOURCE_DIR}/kcmfontinst/FontsPackage.cpp)

    add_subdirectory( lib ) 
    add_subdirectory( dbus )
    add_subdirectory( kcmfontinst ) 
    add_subdirectory( apps )
    add_subdirectory( kio ) 
    add_subdirectory( thumbnail )
    add_subdirectory( viewpart )

    ecm_install_icons( ICONS hisc-apps-preferences-desktop-font-installer.svgz DESTINATION ${ICON_INSTALL_DIR} )

endif ()

=== kcms/ksplash/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_splashscreen\")

set(kcm_splashscreen_SRCS
  kcm.cpp
)

add_library(kcm_splashscreen MODULE ${kcm_splashscreen_SRCS})

target_link_libraries(kcm_splashscreen
  KF5::KIOWidgets
  KF5::CoreAddons
  KF5::QuickAddons
  KF5::I18n
  KF5::Plasma
  KF5::PlasmaQuick

  Qt5::DBus
  Qt5::Widgets
  Qt5::QuickWidgets
)

kcoreaddons_desktop_to_json(kcm_splashscreen "kcm_splashscreen.desktop")

#this desktop file is installed only for retrocompatibility with sycoca
install(FILES kcm_splashscreen.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS kcm_splashscreen DESTINATION ${PLUGIN_INSTALL_DIR}/kcms)

kpackage_install_package(package kcm_splashscreen kcms)

=== kcms/useraccount/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"useraccount\")

add_subdirectory(pics)

set(kcm_useraccount_PART_SRCS
    main.cpp
    chfacedlg.cpp)

ki18n_wrap_ui(kcm_useraccount_PART_SRCS
    main_widget.ui
    faceDlg.ui)

kconfig_add_kcfg_files(kcm_useraccount_PART_SRCS settings.kcfgc)

add_library(kcm_useraccount MODULE ${kcm_useraccount_PART_SRCS})

target_include_directories(kcm_useraccount PUBLIC "$<BUILD_INTERFACE:${Kdepasswd_BINARY_DIR}>")

target_link_libraries(kcm_useraccount
    KF5::KDELibs4Support
    KF5::KIOWidgets
)

install(TARGETS kcm_useraccount DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kcm_useraccount.desktop DESTINATION  ${SERVICES_INSTALL_DIR})

## plasma-desktop 5.2.2

=== debian/changelog ===
plasma-desktop (4:5.2.2-0ubuntu4) vivid; urgency=medium

  * Add upstream_desktop-paths-move.diff fix deleteing files when
    changing desktop paths

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Apr 2015 22:30:21 +0200

plasma-desktop (4:5.2.2-0ubuntu3) vivid; urgency=medium

  * Add upstream_kfontinst-header-alignment.diff from upstream to fix
    headers in kfontinst kcm

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Apr 2015 15:43:04 +0200

plasma-desktop (4:5.2.2-0ubuntu2) vivid; urgency=medium

  * Add upstream_Hide-pager-when-there-s-only-one-virtual-desktop.patch
    to hide the pager applet when there is only one virtual desktop.
    with only one desktop it is pretty useless.

 -- Harald Sitter <sitter@kde.org>  Thu, 26 Mar 2015 14:21:41 +0100

plasma-desktop (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:42:28 -0700

plasma-desktop (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:46:57 -0800

plasma-desktop (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:58:59 +0100

plasma-desktop (4:5.1.95-0ubuntu4) vivid; urgency=medium

  * Add break/replaces on old baloo-kf5 for moved files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Jan 2015 18:16:31 +0100

plasma-desktop (4:5.1.95-0ubuntu3) vivid; urgency=medium

  * remove recommends on kwin-decoration-oxygen, it no longer exists

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Jan 2015 13:17:45 +0100

plasma-desktop (4:5.1.95-0ubuntu2) vivid; urgency=medium

  * update build-dep versions for plasma packages

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Jan 2015 12:42:33 +0100

plasma-desktop (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:35:24 +0100

plasma-desktop (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Dec 2014 13:26:18 +0100

plasma-desktop (4:5.1.1-0ubuntu1) vivid; urgency=medium

  [ Jonathan Riddell ]
  * New upstream beta release
  * Add upstream_default-kickoff-applications.diff LP: #1362747
    "No web browser in app menu"

  [ Scarlett Clark ]
  * Fix copyright file (remove spaces) to appease lintian.

  [ Jonathan Riddell ]
  * New upstream release
  * New upstream release with fixed tar

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:51:38 +0100

plasma-desktop (4:5.0.2-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * switch to new pkg-kde-tools
  * Move kconf_update_bin folder to plasma-desktop package (was in -dev)
    + plasma-desktop now breaks and replaces previous versions of
      plasma-desktop-dev
  * Move dbus-1 service files to plasma-desktop-data (was in -dev)
    + plasma-desktop-data now breaks and replaces previous versions of
      plasma-desktop-dev
    + Make the wildcard robust enough to not accidentially end up installing
      interfaces to -data in the future

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 17 Sep 2014 18:20:38 -0700

plasma-desktop (4:5.0.1-0ubuntu1~ubuntu14.10~ppa4) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 11 Aug 2014 15:47:26 +0200

plasma-desktop (4:5.0.0a-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream tarball
  * Add missing files to install

  [ Harald Sitter ]
  * plasma-desktop depends breeze instead of breeze-cursor-theme as breeze
    provides the core UI styling for all of the shell
    + Drop oxygen-icon-theme as dependency as breeze packaging handles
      the oxygen relationship
    + Drop gdb-minimal | gdb; it is a dep of workspace as that is where drkonqi
      lives
    + Depend on kded5 for the kded, style, keyboard and keys kcm as well as
      the ktouchpadenabler kded module
    + Add all workspace packages as recommends or depends of plasma-desktop 
      as the entire bunch comprises what is considered a plasma-desktop.
      + Depends:
        - breeze - core theme package. needed by various parts of the stack, so
                   removing it is almost never possible or viable
        - kde-cli-tools - core tools like kcmshell5, used to run kcms
        - oxygen-sounds - applications directly reference oxygen sound names and
                          as such not having this package will render no sounds
      + Recommends:
        - kde-style-oxygen-qt5 - not needed if another style is installed
        - khelpcenter
        - khotkeys - advanced hotkey management
        - kinfocenter - information center
        - kio-extras - extra slaves, mostly useful for preview generator
        - kmenuedit
        - kwin - not needed if another wm is installed
        - kwin-decoration-oxygen - not needed if another decoration is installed
        - kwrited
        - plasma-nm
        - powerdevil
        - systemsettings
        - tty-oxygen-font-family
     + Properly resolve qml module dependencies of plasma-desktop:
       + plasma-framework (already present)
       + qtdeclarative5-kf5declarative (kquickcontrolsaddons, kcoreaddons etc.)
       + qml-module-org-kde-solid
       + kactivities (for activities)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 15:44:47 +0200

plasma-desktop (4:4.98.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Scarlett Clark ]
  * fix install file 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 13:27:40 +0200

plasma-desktop (4:4.97.0-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Initial release.
  * add plasma-nm networking depend 



=== debian/control ===
Source: plasma-desktop
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: baloo-kf5-dev (>= 5.1.95),
               cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.3.0~),
               kdoctools-dev,
               kwin-dev (>= 4:5.2.2),
               libboost1.55-dev,
               libcanberra-dev,
               libglib2.0-dev,
               libkf5activities-dev (>= 5.2.0),
               libkf5attica-dev (>= 5.2.0),
               libkf5i18n-dev (>= 5.2.0),
               libkf5kcmutils-dev (>= 5.2.0),
               libkf5kdelibs4support-dev (>= 5.2.0),
               libkf5newstuff-dev (>= 5.2.0),
               libkf5notifyconfig-dev (>= 5.2.0),
               libkf5runner-dev (>= 5.2.0),
               libkf5su-dev (>= 5.2.0),
               libkf5sysguard-dev (>= 5.2.0),
               libkf5wallet-dev (>= 5.2.0),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libusb-dev,
               libxapian-dev,
               libxcb-image0-dev,
               libxcb-xkb-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbfile-dev,
               openbox,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               plasma-framework-dev (>= 5.2.0),
               plasma-workspace-dev (>= 4:5.2.2),
               qtbase5-dev,
               qtdeclarative5-dev,
               xauth,
               xvfb
Standards-Version: 3.9.5
Section: kde
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-desktop
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/plasma-desktop.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/plasma-desktop.git

Package: plasma-desktop-dev
Architecture: any
Section: devel
Depends: libkfontinst5 (= ${binary:Version}),
         libkfontinstui5 (= ${binary:Version}),
         plasma-desktop (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop
Architecture: any
Depends: breeze,
         kactivities,
         kde-cli-tools,
         kded5,
         oxygen-sounds,
         plasma-desktop-data (= ${source:Version}),
         plasma-framework,
         plasma-nm,
         plasma-workspace,
         polkit-kde-agent-1,
         qml-module-org-kde-solid,
         qtdeclarative5-kf5declarative,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bluedevil,
            kde-config-gtk-style,
            kde-config-sddm,
            kde-config-touchpad,
            kde-style-oxygen-qt5,
            khelpcenter,
            khotkeys,
            kinfocenter,
            kio-extras,
            kmenuedit,
            kscreen,
            ksshaskpass,
            ksysguard,
            kwin,
            kwrited,
            muon-discover,
            muon-notifier,
            muon-updater,
            powerdevil,
            sni-qt,
            systemsettings,
            ttf-oxygen-font-family,
            user-manager
Breaks: baloo-kf5 (<< 5.5),
        plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8)
Replaces: baloo-kf5 (<< 5.5),
          plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8)
Conflicts: kde-workspace-bin
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: libkfontinst5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: libkfontinstui5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-data
Architecture: all
Depends: ${misc:Depends}
Conflicts: kde-workspace-bin, kde-workspace-data
Breaks: baloo-kf5 (<< 5.5),
        plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8)
Replaces: baloo-kf5 (<< 5.5),
          plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8)
Description: Tools and widgets for the desktop data files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

Package: plasma-desktop-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: plasma-desktop (= ${binary:Version}), ${misc:Depends}
Description: Tools and widgets for the desktop debug files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=plasma-desktop-dbg

override_dh_auto_test:
	dh_installwm openbox\
	xvfb-run -a dh_auto_test

## plasma-desktop 5.4.2

=== debian/changelog ===
plasma-desktop (4:5.4.2-0ubuntu2) wily; urgency=medium

  * Add 0001-add-discover-to-favorties.patch from upstream to add Muon
    favourites

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 05 Oct 2015 15:15:17 +0100

plasma-desktop (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:59:47 +0100

plasma-desktop (4:5.4.1-0ubuntu2) wily; urgency=medium

  * Add build-dep on libpackagekitqt5-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 11 Sep 2015 17:02:26 +0100

plasma-desktop (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:23:03 +0100

plasma-desktop (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:54:56 +0100

plasma-desktop (4:5.3.95-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport. 
  * Manual merge. 

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:19:44 +0200

plasma-desktop (4:5.3.2-0ubuntu3) wily; urgency=medium

  * add those breaks/replaces to plasma-desktop-data as well

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 26 Jul 2015 21:26:47 +0200

plasma-desktop (4:5.3.2-0ubuntu2) wily; urgency=medium

  * add versions to breaks/replaces for touchpad which have
    transitionals

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Jul 2015 23:44:09 +0200

plasma-desktop (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:36:43 +0000

plasma-desktop (4:5.3.1-0ubuntu3) wily; urgency=medium

  * Remove dep on plasma-nm at upstream's request

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 25 Jun 2015 12:48:15 +0200

plasma-desktop (4:5.3.1-0ubuntu2) wily; urgency=medium

  * Recommend renamed oxygen fonts package fonts-oxygen

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Jun 2015 14:59:23 +0200

plasma-desktop (4:5.3.1-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Jun 2015 21:08:18 +0200

plasma-desktop (4:5.3.1-1~) UNRELEASED; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:54:10 +0200

plasma-desktop (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:22 +0100

plasma-desktop (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 12 Feb 2015 22:57:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,61 +1,87 @@
 Source: plasma-desktop
-Priority: extra
+Section: kde
+Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: baloo-kf5-dev (>= 5.1.95),
-               cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.3.0~),
-               kdoctools-dev,
-               kwin-dev (>= 4:5.2.2),
-               libboost1.55-dev,
+               cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 1.8.0~),
+               kded5-dev (>= 5.9.0~),
+               kdoctools-dev (>= 5.9.0~),
+               kinit-dev,
+               kio-dev,
+               kwin-dev (>= 4:5.4.2~),
+               libboost-dev,
                libcanberra-dev,
+               libfontconfig1-dev,
+               libfreetype6-dev,
                libglib2.0-dev,
                libkf5activities-dev (>= 5.2.0),
-               libkf5attica-dev (>= 5.2.0),
-               libkf5i18n-dev (>= 5.2.0),
-               libkf5kcmutils-dev (>= 5.2.0),
-               libkf5kdelibs4support-dev (>= 5.2.0),
-               libkf5newstuff-dev (>= 5.2.0),
-               libkf5notifyconfig-dev (>= 5.2.0),
-               libkf5runner-dev (>= 5.2.0),
-               libkf5su-dev (>= 5.2.0),
-               libkf5sysguard-dev (>= 5.2.0),
-               libkf5wallet-dev (>= 5.2.0),
-               libphonon4qt5-dev,
+               libkf5attica-dev (>= 5.9.0~),
+               libkf5auth-dev (>= 5.9.0~),
+               libkf5config-dev,
+               libkf5coreaddons-dev,
+               libkf5dbusaddons-dev (>= 5.9.0~),
+               libkf5declarative-dev (>= 5.9.0~),
+               libkf5emoticons-dev,
+               libkf5globalaccel-dev (>= 5.9.0~),
+               libkf5guiaddons-dev,
+               libkf5i18n-dev (>= 5.9.0~),
+               libkf5itemmodels-dev,
+               libkf5kcmutils-dev (>= 5.9.0~),
+               libkf5kdelibs4support-dev (>= 5.9.0~),
+               libkf5newstuff-dev (>= 5.9.0~),
+               libkf5notifications-dev (>= 5.9.0~),
+               libkf5notifyconfig-dev (>= 5.9.0~),
+               libkf5people-dev (>= 5.9.0~),
+               libkf5runner-dev (>= 5.9.0~),
+               libkf5sysguard-dev,
+               libkf5wallet-dev (>= 5.9.0~),
+               libpackagekitqt5-dev,
+               libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev,
-               libpulse-dev,
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
+               libpulse-dev (>= 0.9.16),
+               libqt5svg5-dev (>= 5.4.0~),
+               libqt5x11extras5-dev (>= 5.4.0~),
                libusb-dev,
+               libx11-dev,
                libxapian-dev,
                libxcb-image0-dev,
+               libxcb-record0-dev,
+               libxcb-shm0-dev,
                libxcb-xkb-dev,
+               libxcb1-dev,
                libxcursor-dev,
                libxft-dev,
                libxi-dev,
                libxkbfile-dev,
                openbox,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               plasma-framework-dev (>= 5.2.0),
-               plasma-workspace-dev (>= 4:5.2.2),
-               qtbase5-dev,
-               qtdeclarative5-dev,
+               plasma-framework-dev (>= 5.9.0~),
+               plasma-workspace-dev (>= 4:5.4.2~),
+               qtbase5-dev (>= 5.4.0~),
+               qtdeclarative5-dev (>= 5.4.0~),
                xauth,
+               xserver-xorg-dev,
+               xserver-xorg-input-evdev-dev,
+               xserver-xorg-input-synaptics-dev,
                xvfb
-Standards-Version: 3.9.5
-Section: kde
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/plasma-desktop
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/plasma-desktop.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/plasma-desktop.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/plasma-desktop.git
 
 Package: plasma-desktop-dev
-Architecture: any
 Section: devel
+Architecture: any
 Depends: libkfontinst5 (= ${binary:Version}),
          libkfontinstui5 (= ${binary:Version}),
          plasma-desktop (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: kde-config-touchpad (<< ${source:Version}), kde-touchpad (<< 5.1.95~)
+Replaces: kde-config-touchpad (<< ${source:Version}), kde-touchpad (<< 5.1.95~)
 Description: Tools and widgets for the desktop
  Plasma Desktop offers a beautiful looking desktop
  that takes complete advantage of modern computing technology.
@@ -69,25 +95,27 @@
 
 Package: plasma-desktop
 Architecture: any
-Depends: breeze,
+Depends: baloo-kf5,
+         breeze,
          kactivities,
          kde-cli-tools,
          kded5,
          oxygen-sounds,
          plasma-desktop-data (= ${source:Version}),
          plasma-framework,
-         plasma-nm,
          plasma-workspace,
          polkit-kde-agent-1,
+         qml-module-org-kde-kwindowsystem,
          qml-module-org-kde-solid,
          qtdeclarative5-kf5declarative,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bluedevil,
+            fonts-oxygen,
             kde-config-gtk-style,
             kde-config-sddm,
-            kde-config-touchpad,
             kde-style-oxygen-qt5,
+            kgamma5,
             khelpcenter,
             khotkeys,
             kinfocenter,
@@ -101,14 +129,22 @@
             muon-discover,
             muon-notifier,
             muon-updater,
+            pam-kwallet4,
+            pam-kwallet5,
+            plasma-pa,
             powerdevil,
             sni-qt,
             systemsettings,
-            ttf-oxygen-font-family,
             user-manager
 Breaks: baloo-kf5 (<< 5.5),
+        kde-config-touchpad (<< ${source:Version}),
+        kde-touchpad (<< ${source:Version}),
+        plasma-desktop-data (<< 4:5.3.2-0ubuntu1~),
         plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8)
 Replaces: baloo-kf5 (<< 5.5),
+          kde-config-touchpad (<< ${source:Version}),
+          kde-touchpad (<< ${source:Version}),
+          plasma-desktop-data (<< 4:5.3.2-0ubuntu1~),
           plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8)
 Conflicts: kde-workspace-bin
 Description: Tools and widgets for the desktop
@@ -150,13 +186,36 @@
  .
  This package is part of the KDE Plasma.
 
+Package: libkf5activitiesexperimentalstats1
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Tools and widgets for the desktop library
+ Plasma Desktop offers a beautiful looking desktop
+ that takes complete advantage of modern computing technology.
+ Through the use of visual effects and scalable graphics,
+ the desktop experience is not only smooth but also pleasant
+ to the eye. The looks of Plasma Desktop not only provide beauty,
+ they are also used to support and improve your computer
+ activities effectively, without being distracting.
+ .
+ This package is part of the KDE Plasma.
+
 Package: plasma-desktop-data
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: plasma-framework,
+            plasma-workspace,
+            qml-module-org-kde-extensionplugin,
+            qml-module-org-kde-kwindowsystem,
+            qml-module-qtquick-dialogs
 Conflicts: kde-workspace-bin, kde-workspace-data
 Breaks: baloo-kf5 (<< 5.5),
+        kde-config-touchpad (<< ${source:Version}),
+        kde-touchpad (<< ${source:Version}),
         plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8)
 Replaces: baloo-kf5 (<< 5.5),
+          kde-config-touchpad (<< ${source:Version}),
+          kde-touchpad (<< ${source:Version}),
           plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8)
 Description: Tools and widgets for the desktop data files
  Plasma Desktop offers a beautiful looking desktop
@@ -171,8 +230,25 @@
  .
  This package contains the data files
 
+Package: kde-touchpad
+Architecture: any
+Depends: plasma-desktop, ${misc:Depends}
+Section: oldlibs
+Priority: extra
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
+
+Package: kde-config-touchpad
+Depends: plasma-desktop, ${misc:Depends}
+Architecture: all
+Priority: extra
+Section: oldlibs
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
+
 Package: plasma-desktop-dbg
 Section: debug
+Priority: extra
 Architecture: any
 Recommends: qtbase5-dbg
 Depends: plasma-desktop (= ${binary:Version}), ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,6 @@
 	$(overridden_command) --dbg-package=plasma-desktop-dbg
 
 override_dh_auto_test:
-	dh_installwm openbox\
-	xvfb-run -a dh_auto_test
+	# Disable dh_auto_test, fourth test never ends
+	# xvfb-run -a dh_auto_test
+	:
